geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sachin Patel <sppat...@gmail.com>
Subject Re: Build Failure - Eclipse-Plugin trunk Rev513960
Date Tue, 06 Mar 2007 15:20:05 GMT
Actually, the problem is that you need to do an mvn clean, to remove  
the old jars in the lib directory.

-sachin


On Mar 6, 2007, at 10:02 AM, Sachin Patel wrote:

> You may not have the latest, I upgraded that library to 1.2.    
> Please try a fresh checkout and rebuild.
>
> -sachin
>
>
> On Mar 6, 2007, at 9:25 AM, Shiva Kumar H R wrote:
>
>> Isn't solving problem. Did an "svn update", "mvn clean" and "mvn".  
>> Still facing the same problem.
>>
>> "svn update" fetched in following patches:
>> U    plugins\pom.xml
>> U    plugins\org.apache.geronimo.st.v20.core\pom.xml
>> U    features\org.apache.geronimo.feature\feature.xml
>>
>> However, adding the following entry " lib/xstream-1.1.3.jar," in  
>> "plugins\org.apache.geronimo.runtime.common\META-INF\MANIFEST.MF"  
>> solved the problem. Please check.
>>
>> -- 
>> Thx,
>> Shiva
>>
>> On 3/5/07, Sachin Patel <sppatel2@gmail.com> wrote:
>> fixed
>>
>> -sachin
>>
>>
>> On Mar 5, 2007, at 9:15 AM, Sachin Patel wrote:
>>
>>> I can reproduce this now... will investigate.
>>>
>>> -sachin
>>>
>>>
>>> On Mar 5, 2007, at 7:03 AM, Shiva Kumar H R wrote:
>>>
>>>> I too am getting a Build error as below:
>>>>
>>>> ............
>>>> [INFO] Building org.apache.geronimo.runtime.common
>>>> [INFO]    task-segment: [install]
>>>> ............
>>>> [ERROR] BUILD ERROR
>>>> [INFO]  
>>>> ------------------------------------------------------------------- 
>>>> -----
>>>> [INFO] Manifest Bundle-Classpath is missing the following  
>>>> entries: [lib/xstream-
>>>> 1.1.3.jar]
>>>> [INFO]  
>>>> ------------------------------------------------------------------- 
>>>> -----
>>>> [INFO] Trace
>>>> org.apache.maven.lifecycle.LifecycleExecutionException :  
>>>> Manifest Bundle-Classpat
>>>> h is missing the following entries: [lib/xstream- 1.1.3.jar]
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals 
>>>> (Defa
>>>> ultLifecycleExecutor.java:559)
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWith 
>>>> Li
>>>> fecycle( DefaultLifecycleExecutor.java:475)
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal 
>>>> (Defau
>>>> ltLifecycleExecutor.java :454)
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndH 
>>>> an
>>>> dleFailures(DefaultLifecycleExecutor.java:306)
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegm 
>>>> en
>>>> ts(DefaultLifecycleExecutor.java:273)
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute  
>>>> (DefaultLi
>>>> fecycleExecutor.java:140)
>>>>         at org.apache.maven.DefaultMaven.doExecute 
>>>> (DefaultMaven.java :322)
>>>>         at org.apache.maven.DefaultMaven.execute 
>>>> (DefaultMaven.java:115)
>>>>         at org.apache.maven.cli.MavenCli.main (MavenCli.java:256)
>>>>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native  
>>>> Method)
>>>>         at sun.reflect.NativeMethodAccessorImpl.invoke 
>>>> (NativeMethodAccessorImpl.
>>>> java:64)
>>>>         at sun.reflect.DelegatingMethodAccessorImpl.invoke  
>>>> (DelegatingMethodAcces
>>>> sorImpl.java:43)
>>>>         at java.lang.reflect.Method.invoke (Method.java:615)
>>>>         at org.codehaus.classworlds.Launcher.launchEnhanced 
>>>> (Launcher.java:315)
>>>>         at org.codehaus.classworlds.Launcher.launch  
>>>> (Launcher.java:255)
>>>>         at org.codehaus.classworlds.Launcher.mainWithExitCode  
>>>> (Launcher.java:430)
>>>>
>>>>         at org.codehaus.classworlds.Launcher.main(Launcher.java: 
>>>> 375)
>>>> Caused by: org.apache.maven.plugin.MojoExecutionException :  
>>>> Manifest Bundle-Class
>>>> path is missing the following entries: [lib/xstream- 1.1.3.jar]
>>>>         at  
>>>> org.apache.geronimo.eclipse.devtools.BundleManifestMojo.execute 
>>>> (Bundl
>>>> eManifestMojo.java:72)
>>>>         at  
>>>> org.apache.maven.plugin.DefaultPluginManager.executeMojo  
>>>> (DefaultPlugi
>>>> nManager.java :412)
>>>>         at  
>>>> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals 
>>>> (Defa
>>>> ultLifecycleExecutor.java:534)
>>>>         ... 16 more
>>>> Caused by: org.apache.maven.plugin.MojoFailureException :  
>>>> Manifest Bundle-Classpa
>>>> th is missing the following entries: [lib/xstream-1.1.3.jar]
>>>>         at  
>>>> org.apache.geronimo.eclipse.devtools.BundleManifestMojo.validateBun 
>>>> dl
>>>> eClasspath(BundleManifestMojo.java:97)
>>>>         at  
>>>> org.apache.geronimo.eclipse.devtools.BundleManifestMojo.execute  
>>>> (Bundl
>>>> eManifestMojo.java:69)
>>>>         ... 18 more
>>>> [INFO]  
>>>> ------------------------------------------------------------------- 
>>>> -----
>>>> [INFO] Total time: 2 minutes 40 seconds
>>>> [INFO] Finished at: Mon Mar 05 16:32:47 IST 2007
>>>> [INFO] Final Memory: 18M/89M
>>>> [INFO]  
>>>> ------------------------------------------------------------------- 
>>>> -----
>>>>
>>>> -- 
>>>> Thx,
>>>> Shiva
>>>>
>>>> On 3/4/07, Donald Woods <drw_web@yahoo.com> wrote:
>>>> Latest Eclipse-Plugin trunk at Rev513960 fails to build with the
>>>> following error on WinXP, Maven 2.0.5 and Java 1.5.0_11 -
>>>>
>>>> [INFO]
>>>> ------------------------------------------------------------------- 
>>>> -----
>>>> [ERROR] BUILD ERROR
>>>> [INFO]
>>>> ------------------------------------------------------------------- 
>>>> -----
>>>> [INFO] Failed to resolve artifact.
>>>> Missing:
>>>> ----------
>>>> 1)  
>>>> org.apache.geronimo.devtools:org.apache.geronimo.st.v20.core:jar: 
>>>> 2.0.0
>>>>    Try downloading the file manually from the project website.
>>>>    Then, install it using the command:
>>>>        mvn install:install-file - 
>>>> DgroupId=org.apache.geronimo.devtools
>>>> -Dartifact
>>>> Id=org.apache.geronimo.st.v20.core \
>>>>            -Dversion=2.0.0 -Dpackaging=jar -Dfile=/path/to/file
>>>>    Path to dependency:
>>>>          1) org.apache.geronimo.devtools:assembly:pom:2.0.0
>>>>          2)
>>>> org.apache.geronimo.devtools:org.apache.geronimo.st.v20.core:jar: 
>>>> 2.0 .
>>>> 0
>>>> ----------
>>>> 1 required artifact is missing.
>>>> for artifact:
>>>>    org.apache.geronimo.devtools:assembly:pom:2.0.0
>>>>
>>>>
>>>> -Donald
>>>>
>>>>
>>>
>>
>>
>>
>


Mime
View raw message